sensorfw: PressureSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
PressureSensorChannel Class Reference

Sensor for accessing the internal ambient light sensor measurements. More...

`#include <pressuresensor.h>`

Inheritance diagram for PressureSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | pressureChanged (const Unsigned &value)
| Sent when a change in measured data is observed.

## Public Member Functions
Unsigned | pressure () const
| Property for accessing the measured value.

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for PressureSensorChannel.

## Protected Member Functions
| PressureSensorChannel (const QString &id)
virtual | ~PressureSensorChannel ()

## Properties
Unsigned | pressure

## Detailed Description

Sensor for accessing the internal ambient light sensor measurements.

Signals listeners whenever observed ambient light intensity level has changed.

Definition at line 48 of file pressuresensor.h.

## Constructor & Destructor Documentation

## ◆ PressureSensorChannel()

PressureSensorChannel::PressureSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~PressureSensorChannel()

virtual PressureSensorChannel::~PressureSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ factoryMethod()

static AbstractSensorChannel * PressureSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for PressureSensorChannel.

Returns
  New PressureSensorChannel as AbstractSensorChannel*

Definition at line 60 of file pressuresensor.h.

## ◆ pressure()

Unsigned PressureSensorChannel::pressure | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 72 of file pressuresensor.h.

## ◆ pressureChanged

void PressureSensorChannel::pressureChanged | ( | const Unsigned & | value | ) |
| signal

Sent when a change in measured data is observed.

Parameters

  value | Measured value.

## ◆ start

bool PressureSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool PressureSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ pressure

Unsigned PressureSensorChannel::pressure
| read

Definition at line 53 of file pressuresensor.h.

The documentation for this class was generated from the following file:

- sensors/pressuresensor/pressuresensor.h